javax.batch.api.chunk.listener

## Class AbstractChunkListener

- java.lang.Object
- - javax.batch.api.chunk.listener.AbstractChunkListener

- All Implemented Interfaces:
    ChunkListener

      public abstract class AbstractChunkListener
      extends Object
      implements ChunkListener

  The AbstractChunkListener provides default implementations of less commonly implemented methods.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractChunkListener()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterChunk()` Override this method if the ChunkListener will do something after the chunk ends.
    `void` | `beforeChunk()` Override this method if the ChunkListener will do something before the chunk begins.
    `void` | `onError(Exception ex)` Override this method if the ChunkListener will do something before the chunk transaction is rolled back.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractChunkListener

          public AbstractChunkListener()

  - ### Method Detail

    - #### beforeChunk

          public void beforeChunk()
                           throws Exception

      Override this method if the ChunkListener will do something before the chunk begins. The default implementation does nothing.
      Specified by:
        `beforeChunk` in interface `ChunkListener`
      Throws:
        `Exception` - (or subclass) if an error occurs.

    - #### onError

          public void onError(Exception ex)
                       throws Exception

      Override this method if the ChunkListener will do something before the chunk transaction is rolled back. Note afterChunk is not invoked in this case.
      Specified by:
        `onError` in interface `ChunkListener`
      Parameters:
        `ex` - specifies the exception that caused the roll back.
      Throws:
        `Exception` - (or subclass) throw if an error occurs.

    - #### afterChunk

          public void afterChunk()
                          throws Exception

      Override this method if the ChunkListener will do something after the chunk ends. The default implementation does nothing.
      Specified by:
        `afterChunk` in interface `ChunkListener`
      Throws:
        `Exception` - (or subclass) if an error occurs.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.